chat/gajim - The NetBSD Packages Collection

XMPP/Jabber chat client written in Python/GTK3

Gajim is a graphical XMPP/Jabber client written in Python. The goal
of Gajim's developers is to provide a full featured and easy to use
XMPP client.

FEATURES:
* Tabbed chat window and single window modes
* Group chat support (with Multi-User Chat protocol), invitation, chat
to group chat transformation, minimize group chat to roster
* Emoticons, avatars, PEP (user activity, mood and tune)
* File transfer, room bookmarks
* Metacontacts support
* Tray icon, speller, extended chat history functionalities
* Transport registration support
* Service discovery including nodes, user search
* Multiple accounts support
* DBus capabilities
* XML console

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/gettext-tools

Runtime dependencies

graphics/py-cairo textproc/py-css-parser security/py-keyring chat/py-nbxmpp devel/py-packaging security/py-OpenSSL textproc/py-precis-i18n databases/py-sqlite3 sysutils/py-dbus devel/py-setuptools graphics/hicolor-icon-theme lang/python38 lang/python38 x11/gtk3 graphics/hicolor-icon-theme x11/gtk3

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgajim-1.2.0nb2.tgz
NetBSD 8.0earmv7hfgajim-1.2.0nb2.tgz
NetBSD 8.0i386gajim-1.2.0nb1.tgz
NetBSD 8.0i386gajim-1.2.0nb2.tgz
NetBSD 8.0i386gajim-1.2.0nb2.tgz
NetBSD 8.0powerpcgajim-1.2.0nb1.tgz
NetBSD 8.0powerpcgajim-1.2.0nb2.tgz
NetBSD 8.0powerpcgajim-1.2.0nb2.tgz
NetBSD 8.0x86_64gajim-1.2.0nb2.tgz
NetBSD 8.0x86_64gajim-1.2.0nb1.tgz
NetBSD 8.0x86_64gajim-1.2.0nb2.tgz
NetBSD 9.0aarch64gajim-1.2.0nb2.tgz
NetBSD 9.0aarch64gajim-1.2.0nb1.tgz
NetBSD 9.0aarch64gajim-1.2.0nb2.tgz
NetBSD 9.0earmv6hfgajim-1.2.0nb2.tgz
NetBSD 9.0earmv6hfgajim-1.2.0nb1.tgz
NetBSD 9.0earmv6hfgajim-1.2.0nb2.tgz
NetBSD 9.0earmv6hfgajim-1.2.0nb2.tgz
NetBSD 9.0earmv7hfgajim-1.2.0nb2.tgz
NetBSD 9.0earmv7hfgajim-1.2.0nb1.tgz
NetBSD 9.0earmv7hfgajim-1.2.0nb2.tgz
NetBSD 9.0earmv7hfgajim-1.2.0nb2.tgz
NetBSD 9.0i386gajim-1.2.0nb1.tgz
NetBSD 9.0i386gajim-1.2.0nb2.tgz
NetBSD 9.0i386gajim-1.2.0nb2.tgz
NetBSD 9.0mips64ebgajim-1.2.0nb2.tgz
NetBSD 9.0mips64ebgajim-1.2.0nb1.tgz
NetBSD 9.0mips64ebgajim-1.2.0nb2.tgz
NetBSD 9.0powerpcgajim-1.2.0nb2.tgz
NetBSD 9.0powerpcgajim-1.2.0nb1.tgz
NetBSD 9.0sparc64gajim-1.2.0nb2.tgz
NetBSD 9.0sparc64gajim-1.1.3nb3.tgz
NetBSD 9.0sparc64gajim-1.2.0nb1.tgz
NetBSD 9.0sparc64gajim-1.2.0nb2.tgz
NetBSD 9.0sparcgajim-1.2.0nb2.tgz
NetBSD 9.0sparcgajim-1.2.0nb1.tgz
NetBSD 9.0sparcgajim-1.2.0nb2.tgz
NetBSD 9.0x86_64gajim-1.2.0nb1.tgz
NetBSD 9.0x86_64gajim-1.2.0nb2.tgz
NetBSD 9.0x86_64gajim-1.2.0nb2.tgz
NetBSD 9.0x86_64gajim-1.2.0nb2.tgz
NetBSD 9.0x86_64gajim-1.2.0nb1.tgz
NetBSD 9.0x86_64gajim-1.2.0nb2.tgz
NetBSD 9.0x86_64gajim-1.2.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

avahi
Enable DNS service discovery and multicast DNS support.
dbus
Enable dbus (desktop bus) support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.